%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	ExtUtils-F77

Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Facilitate use of FORTRAN from Perl/XS code
Name:		perl-%{perlname}
Version:	1.16
Release:	1
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=ExtUtils+F77
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}

%description
Facilitate use of FORTRAN from Perl/XS code
For more details see: http://search.cpan.org/search?module=ExtUtils+F77

%prep
%setup -q -n %{perlname}-%{version}

%build
# Answer the questions
echo "y" | perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 01 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.16-1
- Version Update
* Wed May 17 2006 Christian Wasem <wasem@ccux-linux.de> 1.14-2
- rebuild against perl-5.8.8
* Wed Dec 07 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.14-1
- Initial Release
